petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscFVSetFromOptions

sets parameters in a PetscFV from the options database

### Synopsis

    #include "petscfv.h"
    PetscErrorCode PetscFVSetFromOptions(PetscFV fvm)

Collective on fvm

### Input Parameter

fvm -the PetscFV object to set options for

### Options Database Key

-petscfv_compute_gradients <bool> -Determines whether cell gradients are calculated

### See Also

PetscFVView()

### Level

intermediate

### Location

src/dm/dt/fv/interface/fv.c

### Examples

src/ts/examples/tutorials/ex11.c.html
Index of all FV routines
Table of Contents for all manual pages
Index of all manual pages